import { Permissions } from "./permissions.js";
/**
 * Store UCANs and update the in-memory dictionary.
 */
export declare function store(ucans: Array<string>): Promise<void>;
/**
 * See if the stored UCANs in the in-memory dictionary
 * conform to the given `Permissions`.
 */
export declare function validatePermissions({ app, fs, raw }: Permissions, username: string): boolean;
